Create Regional Distributed Vlan Connection

Create Regional Distributed Vlan Connection
Create a new Distributed VLAN Connection assigned to Regional Networking Setting.

Create a new Distributed VLAN Connection assignment to the Regional Networking Setting.

Request
URI
POST
https://{api_host}/cloudapi/v1/regionalNetworkingSettings/{settingId}/distributedVlanConnections
COPY
Path Parameters
string
settingId
Required

settingId


Request Body
RegionalDistributedVlanConnection of type(s) application/json
Required
This request body class requires all of the following: NetworkingEntityStatus , InlineRegionalDistributedVlanConnection1
{
    "status": "string",
    "id": "string",
    "distributedVlanConnectionRef": {
        "name": "string",
        "id": "string"
    },
    "isDefault": false,
    "vlanId": 0,
    "gatewayCidr": "10.10.10.1/24",
    "ipSpaceRef": {
        "name": "string",
        "id": "string"
    }
}
Authentication
This operation uses the following authentication methods.
Responses
202

The request have been accepted and the task to monitor the request is in the Location header.

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"distributedVlanConnectionRef":"object"}' https://{api_host}/cloudapi/v1/regionalNetworkingSettings/{settingId}/distributedVlanConnections